Summary: A utility for converting amounts from one unit to another.
Name: units
Version: 1.55
Release: 10
Source: ftp://ftp.gnu.org/gnu/units/units-1.55.tar.bz2
Copyright: GPL
Group: Applications/Engineering
BuildRoot: /var/tmp/%{name}-root
Prereq: /sbin/install-info

%description
Units converts an amount from one unit to another, or tells you what
mathematical operation you need to perform to convert from one unit to
another.  Units can only handle multiplicative scale changes (i.e., it
can't tell you how to convert from Celsius to Fahrenheit, which
requires an additive step in addition to the multiplicative
conversion).

Units is a handy little program which contains a large number of
conversions, from au's to parsecs and tablespoons to cups.  You
probably don't need to install it, but it comes in handy sometimes.

%prep
%setup -q 

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall datadir=$RPM_BUILD_ROOT/usr/share/
strip $RPM_BUILD_ROOT/usr/bin/* || :
gzip $RPM_BUILD_ROOT%{_infodir}/units.info

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/units.info.gz %{_infodir}/dir

%preun
/sbin/install-info %{_infodir}/units.info.gz --delete %{_infodir}/dir

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/units.dat
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.55-10
- rebuild with new readline

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS stuff

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new readline

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- fix install-info (#6631)

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- update to 1.55

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- units.lib corrections (problem #685)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
